package com.rv.im.enums;

/*******
 * 消息的类型
 */
public enum MessageTypeEnum {
    TEXT(1, "文本"),
    FILE(9, "文件"),
    PIC(2, "图片"),
    VOICE(3, "语音"),
    VOLTE_CALL(5, "语音通话"),
    VIDEO_CALL(6, "视频通话"),

    CANCEL(7,"撤销") ;

    private int type;
    private String name;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    MessageTypeEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }
}
